imports:
    - { resource: default_parameters.yml }
    - { resource: parameters.yml }
    - { resource: security.yml }
    - { resource: cache_pool/cache.tagaware.filesystem.yml }
    - { resource: env/generic.php }
    - { resource: env/platformsh.php }
    - { resource: services.yml }

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
parameters:
    locale: fr
    ezpublish_rest.csrf_token_intention: authenticate

# Configuration for Database connection, can have several connections used by eZ Repositories in ezplatform.yml
doctrine:
    dbal:
        connections:
            default:
                driver: '%database_driver%'
                host: '%database_host%'
                port: '%database_port%'
                dbname: '%database_name%'
                user: '%database_user%'
                password: '%database_password%'
                charset: '%database_charset%'
    orm:
        auto_generate_proxy_classes: '%kernel.debug%'
        naming_strategy: doctrine.orm.naming_strategy.underscore
        auto_mapping: true

# If you are not using MySQL, you can comment-out this section
ez_doctrine_schema:
    tables:
        options:
            charset: '%database_charset%'
            collate: '%database_collation%'

# Base configuration for Solr, for more options see: https://doc.ezplatform.com/en/latest/guide/search/#solr-bundle
# Can have several connections used by each eZ Repositories in ezplatform.yml
ez_search_engine_solr:
    endpoints:
        endpoint0:
            dsn: '%solr_dsn%'
            core: '%solr_core%'
    connections:
        default:
            entry_endpoints:
                - endpoint0
            mapping:
                default: endpoint0

framework:
    esi: ~
    translator: { fallback: '%locale_fallback%' }
    secret: '%secret%'
    router:
        resource: '%kernel.project_dir%/app/config/routing.yml'
        strict_requirements: ~
    csrf_protection: ~
    form: ~
    validation: { enable_annotations: true }
    #serializer: { enable_annotations: true }
    # Place "eztpl" engine first intentionally if you setup use with legacy bridge.
    # This is to avoid template name parsing with Twig engine, refusing specific characters
    # which are valid with legacy tpl files.
    templating:
        engines: ['twig']
        #assets_version: SomeVersionScheme
    default_locale: '%locale_fallback%'
    trusted_hosts: ~
    session:
        # https://symfony.com/doc/current/reference/configuration/framework.html#handler-id
        # if handler_id set to null will use default session handler from php.ini
        handler_id: '%ezplatform.session.handler_id%'
        save_path: '%ezplatform.session.save_path%'
        # Note: eZ Platform also allows session name and session cookie configuration to be per SiteAccess, by
        #       default session name will be set to "eZSESSID{siteaccess_hash}" (unique session name per siteaccess)
        #       Further reading on sessions: http://doc.ezplatform.com/en/latest/guide/sessions/
    fragments: ~
    http_method_override: true
    assets:
        packages:
            ezplatform:
                json_manifest_path: '%kernel.project_dir%/web/assets/ezplatform/build/manifest.json'
    php_errors:
        log: true

# Twig Configuration
twig:
    debug: '%kernel.debug%'
    strict_variables: '%kernel.debug%'

# Assetic Configuration
assetic:
    debug: '%kernel.debug%'
    use_controller: '%kernel.debug%'
    bundles: [ EzPlatformAdminUiBundle ]
    #java: /usr/bin/java
    filters:
        cssrewrite: ~
        scssphp:
            formatter: 'Leafo\ScssPhp\Formatter\Crunched'
            import_paths: ['%kernel.project_dir%/web/']

# Webpack Encore Configuration
webpack_encore:
    output_path: "%kernel.project_dir%/web/assets/build"
    builds:
        ezplatform: "%kernel.project_dir%/web/assets/ezplatform/build"

# Swiftmailer Configuration
swiftmailer:
    transport: '%mailer_transport%'
    host: '%mailer_host%'
    username: '%mailer_user%'
    password: '%mailer_password%'
    spool: { type: memory }

# FOSHttpCache Configuration
fos_http_cache:
    cache_control:
        rules:
            # Make sure already cacheable (fresh) responses from eZ Platform which are errors/redirect gets lower ttl (then default_ttl)
            -
                match:
                    match_response: "response.isFresh() && ( response.isServerError() || response.isClientError() || response.isRedirect() )"
                headers:
                    overwrite: true
                    cache_control:
                        max_age: 5
                        s_maxage: 20
            # Example of performance tuning, force TTL on 404 pages to avoid crawlers / ... taking to much load
            # Should not be set to high, as cached 404's can cause issues for future routes, url aliases, wildcards, ..
            -
                match:
                    match_response: "!response.isFresh() && response.isNotFound()"
                headers:
                    overwrite: true
                    cache_control:
                        public: true
                        max_age: 0
                        s_maxage: 20

jms_translation:
    source_language: fr
    locales: [fr]
    dumper:
        add_references: false
        add_date: false
    configs:
        admin:
            dirs:
                - '%kernel.root_dir%/../vendor/ezsystems/ezplatform-admin-ui/src'
            output_dir: '%kernel.root_dir%/../vendor/ezsystems/ezplatform-admin-ui/src/bundle/Resources/translations/'
            excluded_dirs: [Behat, Tests, node_modules]
            extractor:
                - ez_policy
            output_format: "xliff"
        admin_modules:
            dirs:
                - '%kernel.root_dir%/../vendor/ezsystems/ezplatform-admin-ui-modules/src'
            output_dir: '%kernel.root_dir%/../vendor/ezsystems/ezplatform-admin-ui-modules/Resources/translations/'
            excluded_dirs: [Behat, Tests, node_modules]
            output_format: "xliff"
